Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.report
Class CustomReport.ReportEnviroment

    java.lang.Object
      com.sun.javatest.report.CustomReport.ReportEnviroment

Enclosing class:
  CustomReport

    public static class CustomReport.ReportEnviroment

extends java.lang.Object

Specifid enviroment and settings for report generation.

Constructor Summary
`CustomReport.ReportEnviroment(java.io.File xmlReportFile, java.io.File[] in)` Creates a new ReportEnviroment instance refers to the given file.
`CustomReport.ReportEnviroment(InterviewParameters ipa, TestFilter f)`

Method Summary
`int` | `getBackups()` Get the backup level that has been specified for this report session
`java.util.Map` | `getExchangeData()` Give Map for data exchane between custom reports during the same report session.
`TestFilter` | `getFilter()` Returns TestFilter object associated with this report session
`java.io.File[]` | `getInitFiles()` Returns initial files associated with this report session
`InterviewParameters` | `getIp()` Returns InterviewParameters object associated with this report session.
`java.io.File[]` | `getMergingFiles()` Returns array of File objects that were sources for Report Converter tool or empty array if Report Converter was not used.
`boolean` | `isBackUpEnabled()` Determines if the backup is currently enabled.
`void` | `setMergingFiles(java.io.File[] files)`
`void` | `setXMLReportFile(java.io.File f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomReport.ReportEnviroment

    public CustomReport.ReportEnviroment(InterviewParameters ipa,
                                         TestFilter f)

### CustomReport.ReportEnviroment

    public CustomReport.ReportEnviroment(java.io.File xmlReportFile,
                                         java.io.File[] in)

  Creates a new ReportEnviroment instance refers to the given file.

Method Detail

### getIp

    public InterviewParameters getIp()

  Returns InterviewParameters object associated with this report session. Note, when used under the report converter, the harness will try to find an exec tool to get the interview from, instead of returning null. This behavior is not strictly correct though and is subject to later redesign.

  Returns:
    InterviewParameters object associated with this report session

### getFilter

    public TestFilter getFilter()

  Returns TestFilter object associated with this report session

  Returns:
    TestFilter object associated with this report session

### getInitFiles

    public java.io.File[] getInitFiles()

  Returns initial files associated with this report session

  Returns:
    array if initial files

### isBackUpEnabled

    public boolean isBackUpEnabled()

  Determines if the backup is currently enabled.

  Returns:
    true if the backup is enabled else false

### getBackups

    public int getBackups()

  Get the backup level that has been specified for this report session

  Returns:
    The number of backups to kept for each file

### getExchangeData

    public java.util.Map getExchangeData()

  Give Map for data exchane between custom reports during the same report session. Can be used for sharing intermediate results between reports for optimization.

  Returns:
    Map for data exchane

### setXMLReportFile

    public void setXMLReportFile(java.io.File f)

### setMergingFiles

    public void setMergingFiles(java.io.File[] files)

### getMergingFiles

    public java.io.File[] getMergingFiles()

  Returns array of File objects that were sources for Report Converter tool or empty array if Report Converter was not used.

  Returns:
    array of source files

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.